package com.example.myapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity implements CreateMessage {

    Button button;
    EditText editText;
    LinearLayout chatList;
    Client client;

    @Override
    public void Callback(final String msg) {

        runOnUiThread(new Runnable() {
            @Override
            public void run() {

                TextView textView = new TextView(getApplicationContext());
                textView.setText(msg);

                chatList.addView(textView);

            }
        });
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        client = new Client(this);

        button = findViewById(R.id.button);
        editText = findViewById(R.id.editTextTextPersonName);
        chatList = findViewById(R.id.ChatList);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                client.SendMessage(editText.getText().toString());
            }
        });

        client.start();
    }
}